# Summary
- [Design Overview](./overview.md)
- [Tenets](./tenets.md)
- [Design FAQ](./faq.md)
- [Transport](transport/overview.md)
  - [HTTP Operations](transport/operation.md)
  - [HTTP Middleware](transport/middleware.md)

- [Smithy](./smithy/overview.md)
    - [Simple Shapes](./smithy/simple_shapes.md)
    - [Recursive Shapes](./smithy/recursive_shapes.md)
    - [Aggregate Shapes](./smithy/aggregate_shapes.md)
    - [Endpoint Resolution](smithy/endpoint.md)
    - [Backwards Compatibility](smithy/backwards-compat.md)

- [RFCs](./rfcs/overview.md)
  - [RFC-0001: Sharing configuration between multiple clients](./rfcs/rfc0001_shared_config.md)
  - [RFC-0002: Supporting multiple HTTP versions for SDKs that use Event Stream](./rfcs/rfc0002_http_versions.md)
  - [RFC-0003: API for Pre-signed URLs](./rfcs/rfc0003_presigning_api.md)
  - [RFC-0004: Retry Behavior](./rfcs/rfc0004_retry_behavior.md)
  - [RFC-0005: Smithy Rust service framework](./rfcs/rfc0005_service_generation.md)
  - [RFC-0006: Service-specific middleware](./rfcs/rfc0006_service_specific_middleware.md)
  - [RFC-0007: Split release process](./rfcs/rfc0007_split_release_process.md)
  - [RFC-0008: Paginators](./rfcs/rfc0008_paginators.md)
  - [RFC-0009: Example Consolidation](./rfcs/rfc0009_example_consolidation.md)
  - [RFC-0010: Waiters](./rfcs/rfc0010_waiters.md)
  - [RFC-0011: Publishing Alpha to Crates.io](./rfcs/rfc0011_crates_io_alpha_publishing.md)
  - [RFC-0012: Independent Crate Versioning](./rfcs/rfc0012_independent_crate_versioning.md)
  - [RFC-0013: Body Callback APIs](./rfcs/rfc0013_body_callback_apis.md)
  - [RFC-0014: Fine-grained timeout configuration](./rfcs/rfc00014_timeout_config.md)
  - [RFC-0015: How Cargo "features" should be used in the SDK and runtime crates](./rfcs/rfc00015_using_features_responsibly.md)

- [Contributing](./contributing/overview.md)
  - [Writing and debugging a low-level feature that relies on HTTP](./contributing/writing_and_debugging_a_low-level_feature_that_relies_on_HTTP.md)
